Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.LevelConstraints

Synopsis

- simplifyLevelConstraint :: Constraint -> [Constraint] -> Constraint

# Documentation

simplifyLevelConstraint :: Constraint -> [Constraint] -> Constraint #

`simplifyLevelConstraint c cs` turns an `c` into an equality constraint if it is an inequality constraint and the reverse inequality is contained in `cs`.

The constraints doesn't necessarily have to live in the same context, but they do need to be universally quanitfied over the context. This function takes care of renaming variables when checking for matches.